﻿@model AddEditExchangeTypeViewModel
@Html.Style(@<link href="~/Plugins/select2/dist/css/select2.min.css" rel="stylesheet" />)

<div class="col-12">
    <div class="box box-info">
        <div class="box-header with-border">
            <h4 class="box-title">@ViewBag.Title</h4>
        </div>
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-horizontal">
            <div class="box-body">
                <div class="div_tab row">
                    <div class="col-6">
                        <div class="form-group">
                            <label class="control-label col-sm-2">
                                @Html.DisplayNameFor(model => model.FromCurrencyId)
                            </label>
                            <div class="input-group no-feedback col-sm-4 addOn">
                                @Html.DropDownListFor(m => m.FromCurrencyId, Model.CurrencyTypes, new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group">
                            <label class="control-label col-sm-2">
                                @Html.DisplayNameFor(model => model.ToCurrencyId)
                            </label>
                            <div class="input-group no-feedback col-sm-4 addOn">
                                @Html.DropDownListFor(m => m.ToCurrencyId, Model.CurrencyTypes, new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <h4>مشخصات</h4>
                        @Html.CKEditorFor(model => model.Description, Url.Action("HtmlEditor", "Media"))
                        <div class="seoLoading"></div>
                        <div class="seoResult">
                            @Html.Action("CheckSEO", new AddEditExchangeTypeViewModel())
                        </div>
                    </div>
                    <hr />
                    <hr />
                    <div class="col-12">
                        <h4>تنظیمات</h4>
                        @Html.BsEditorFor(model => model.Disabled)
                    </div>
                    <hr />
                </div>
            </div>
        </div>
        <div class="box-footer">
            <input type="submit" value="ثبت" class="btn btn-lg btn-success float-left" />
            @Html.ActionLink("بازگشت به لیست", "Index", null, new { @class = "float-right btn btn-secondary" })
        </div>
    </div>
</div>

@Html.Script(@<script type="text/javascript">
    var uploadUrl = "@Url.Action("Upload", "Media")";
    var checkSeoUrl = "@Url.Action("CheckSEO")";
</script>)
@Html.Script(@<script type="text/javascript" src="~/Plugins/jasny-bootstrap/js/jasny-bootstrap.min.js"></script>)
@Html.Script(@<script src="~/Plugins/select2/dist/js/select2.min.js"></script>)
@Html.Script(@<script src="~/Scripts/Pages/Exchange/AddOrEdit.js"></script>)